<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:msxsl="urn:schemas-microsoft-com:xslt"
                xmlns:ext="http://exslt.org/common"
                exclude-result-prefixes="ext msxsl"
  >

    <xsl:output method="xml" indent="no"/>

    <!-- Глобальные переменные -->
    <xsl:variable name ="TransactionBlock">TransactionBlock</xsl:variable>
    <xsl:variable name ="FunctionNumber">FunctionNumber</xsl:variable>
    <xsl:variable name ="TransactionTimestamp">TransactionTimestamp</xsl:variable>
	<xsl:variable name ="TerminalId">TerminalId</xsl:variable>
	
	
    <!-- Основная функция трансформации -->
    <xsl:template match="InfoTable">
        <xsl:element name="{$TransactionBlock}">
            <xsl:element name="{$TransactionTimestamp}">
                <xsl:value-of select="./data_ora"/>
            </xsl:element>
			<xsl:element name="{$FunctionNumber}">
                <xsl:value-of select="1"/>
            </xsl:element>
            <xsl:element name ="{$TerminalId}">
                <xsl:value-of select="./numero_lettore_tornello "/>
            </xsl:element>
            <xsl:for-each select="*">		
				<xsl:variable name="nodeName" select="name()"/> 
					<xsl:if test="not(*)">
						<xsl:element name="{name()}">
							<xsl:value-of select="."/>
						</xsl:element>
					</xsl:if>	
            </xsl:for-each>
        </xsl:element>
    </xsl:template>
    
 
</xsl:stylesheet>
